## nmap 4.10

=== mswin32/Makefile ===
MAKENSIS=/c/apps/NSIS/makensis.exe
VCEXPRESS="/c/Program Files/Microsoft Visual Studio 8/Common7/IDE/VCExpress.exe"
NMAP_VERSION:=$(shell grep "export NMAP_VERSION " ../Makefile.in | cut "-d " -f4)

winbuild:
# VCExpress.exe is devenv.com with the commercial Visual Studio suite instead of VC++ Express
	$(VCEXPRESS) nmap.sln /build release /log nmapbuild.log	
	$(MAKENSIS) winpcap/winpcap-nmap.nsi
	rm -rf nmap-$(NMAP_VERSION)
	mkdir nmap-$(NMAP_VERSION)
	cd Release && cp ../../CHANGELOG ../../COPYING nmap-mac-prefixes nmap-os-fingerprints nmap-protocols nmap-rpc nmap-service-probes nmap-services nmap.exe nmap.xsl ../nmap_performance.reg ../../README-WIN32 ../nmap-$(NMAP_VERSION)/
	zip -r nmap-$(NMAP_VERSION)-win32.zip nmap-$(NMAP_VERSION)
	cp winpcap/winpcap-nmap-*.exe nmap-$(NMAP_VERSION)
	cp nsis/AddToPath.nsh nsis/Nmap.nsi nmap-$(NMAP_VERSION)
	$(MAKENSIS) nmap-$(NMAP_VERSION)/Nmap.nsi
	mv nmap-$(NMAP_VERSION)/NmapInstaller.exe nmap-$(NMAP_VERSION)-setup.exe

clean:
	$(VCEXPRESS) nmap.sln /clean
	rm -rf Debug Release nmapbuild.log

## nmap 4.11

=== mswin32/Makefile ===
--- 
+++ 
@@ -1,10 +1,11 @@
 MAKENSIS=/c/apps/NSIS/makensis.exe
 VCEXPRESS="/c/Program Files/Microsoft Visual Studio 8/Common7/IDE/VCExpress.exe"
 NMAP_VERSION:=$(shell grep "export NMAP_VERSION " ../Makefile.in | cut "-d " -f4)
+LOGLOC=c:nmapbuild.log
 
 winbuild:
 # VCExpress.exe is devenv.com with the commercial Visual Studio suite instead of VC++ Express
-	$(VCEXPRESS) nmap.sln /build release /log nmapbuild.log	
+	$(VCEXPRESS) nmap.sln /build release /log $(LOGLOC)
 	$(MAKENSIS) winpcap/winpcap-nmap.nsi
 	rm -rf nmap-$(NMAP_VERSION)
 	mkdir nmap-$(NMAP_VERSION)

## nmap 4.62

=== macosx/Makefile ===
# This makefile builds a disk image (.dmg) containing the Zenmap application
# bundle.

NMAP_VERSION := $(shell grep '^\#[ \t]*define[ \t]\+NMAP_VERSION' ../nmap.h | sed -e 's/.*"\(.*\)".*/\1/' -e 'q')
NMAP_NUM_VERSION := $(shell grep '^\#[ \t]*define[ \t]\+NMAP_NUM_VERSION' ../nmap.h | sed -e 's/.*"\(.*\)".*/\1/' -e 'q')

NAME_VERSION = nmap-$(NMAP_VERSION)$(if $(APPENDAGE),-$(APPENDAGE))

IMAGE_STAGING_DIR = $(NAME_VERSION)
NMAP_STAGING_DIR = Nmap
ZENMAP_STAGING_DIR = Zenmap
NMAP_BUILD_DIR = nmap-build

IMAGE_NAME = $(NAME_VERSION).dmg
PKG_NAME = $(NAME_VERSION).mpkg

PREFIX = /usr/local

PACKAGEMAKER = /Developer/usr/bin/packagemaker

EXTRA_DIST_FILES = $(addprefix $(IMAGE_STAGING_DIR)/,COPYING README)

# Flags for building universal binaries. See
# http://developer.apple.com/documentation/Porting/Conceptual/PortingUnix/compiling/chapter_4_section_3.html.
UNIVERSAL_CONFIGURE_ARGS = --disable-dependency-tracking
UNIVERSAL_CPPFLAGS = -isysroot /Developer/SDKs/MacOSX10.4u.sdk
UNIVERSAL_CFLAGS = $(UNIVERSAL_CPPFLAGS) -mmacosx-version-min=10.4 -arch ppc -arch i386
UNIVERSAL_CXXFLAGS = $(UNIVERSAL_CFLAGS)
UNIVERSAL_LDFLAGS = -Wl,-syslibroot,/Developer/SDKs/MacOSX10.4u.sdk -mmacosx-version-min=10.4 -arch ppc -arch i386

CONFIGURE_ARGS += $(UNIVERSAL_CONFIGURE_ARGS)
CPPFLAGS += $(UNIVERSAL_CPPFLAGS)
CFLAGS += $(UNIVERSAL_CFLAGS)
CXXFLAGS += $(UNIVERSAL_CXXFLAGS)
LDFLAGS += $(UNIVERSAL_LDFLAGS)

$(IMAGE_NAME): $(IMAGE_STAGING_DIR)/$(PKG_NAME) $(EXTRA_DIST_FILES)
	rm -f $@
	hdiutil create -imagekey zlib-level=9 -srcfolder $(IMAGE_STAGING_DIR) $@

$(IMAGE_STAGING_DIR)/$(PKG_NAME): stage-nmap stage-zenmap
	mkdir -p $(IMAGE_STAGING_DIR)
	$(PACKAGEMAKER) --doc nmap.pmdoc --title "Nmap $(NMAP_VERSION)" -o $@

stage-nmap:
	rm -rf $(NMAP_BUILD_DIR)
	svn export .. $(NMAP_BUILD_DIR)
	svn export ../nsock $(NMAP_BUILD_DIR)/nsock
	svn export ../nbase $(NMAP_BUILD_DIR)/nbase
	svn export ../zenmap $(NMAP_BUILD_DIR)/zenmap
	cd $(NMAP_BUILD_DIR) && ./configure --prefix="$(PREFIX)" --without-zenmap --with-libdnet=included --with-libpcap=included --with-libpcre=included --with-liblua=included CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" $(CONFIGURE_ARGS)
	make -C $(NMAP_BUILD_DIR)
	rm -rf $(NMAP_STAGING_DIR)
	make -C $(NMAP_BUILD_DIR) install DESTDIR="`pwd`/$(NMAP_STAGING_DIR)"

stage-zenmap:
	mkdir -p $(ZENMAP_STAGING_DIR)/Applications
	cd ../zenmap && install_scripts/macosx/make-bundle.sh
	cp -rf ../zenmap/dist/Zenmap.app $(ZENMAP_STAGING_DIR)/Applications/

$(IMAGE_STAGING_DIR)/README:
	mkdir -p $(IMAGE_STAGING_DIR)
	cp -f README $(IMAGE_STAGING_DIR)/

$(IMAGE_STAGING_DIR)/COPYING:
	mkdir -p $(IMAGE_STAGING_DIR)
	cp -f ../COPYING $(IMAGE_STAGING_DIR)/

clean:
	rm -rf $(IMAGE_STAGING_DIR)
	rm -rf $(NMAP_STAGING_DIR)
	rm -rf $(ZENMAP_STAGING_DIR)
	rm -rf $(NMAP_BUILD_DIR)
	rm -f $(IMAGE_NAME)

.PHONY: clean

=== mswin32/Makefile ===
MAKENSIS="/c/apps/NSIS/makensis.exe"
VCEXPRESS="/c/Program Files/Microsoft Visual Studio 8/Common7/IDE/VCExpress.exe"
export NMAP_VERSION := $(shell grep '^\#[ \t]*define[ \t]\+NMAP_VERSION' ../nmap.h | sed -e 's/.*"\(.*\)".*/\1/' -e 'q')
export NMAP_NUM_VERSION := $(shell grep '^\#[ \t]*define[ \t]\+NMAP_NUM_VERSION' ../nmap.h | sed -e 's/.*"\(.*\)".*/\1/' -e 'q')
COMMA_VERSION=$(shell echo $(NMAP_NUM_VERSION) | tr '.' ',')
LOGLOC=c:nmapbuild.log
NSE_FILES = scripts/script.db scripts/*.nse

winbuild:
# VCExpress.exe is devenv.com with the commercial Visual Studio suite instead of VC++ Express

	@echo "Setting version: $(NMAP_VERSION) ($(NMAP_NUM_VERSION))"
	@cat ./nmap.rc | sed 's/VALUE "FileVersion", .*"/VALUE "FileVersion", "$(NMAP_VERSION)\\0"/' > ./nmap.rc.tmp
	@cat ./nmap.rc.tmp | sed 's/FILEVERSION .*,.*,.*,.*/FILEVERSION $(COMMA_VERSION)/' > ./nmap.rc
	@cat ./nsis/Nmap.nsi | sed 's/VIProductVersion ".*"/VIProductVersion "$(NMAP_NUM_VERSION)"/' > ./nmap.nsi.tmp
	@cat ./nmap.nsi.tmp | sed 's/!define VERSION ".*"/!define VERSION "$(NMAP_VERSION)"/' > ./nsis/Nmap.nsi
	@rm ./nmap.nsi.tmp ./nmap.rc.tmp
	@sed -f ./license-sed/lic_sedexp_1 ../COPYING | sed -f ./license-sed/lic_sedexp_2 | sed -f ./license-sed/lic_sedexp_3 | sed -f ./license-sed/lic_sedexp_4 > LICENSE

	$(VCEXPRESS) nmap.sln /build release /log $(LOGLOC)
	$(MAKENSIS) winpcap/winpcap-nmap.nsi
	rm -rf nmap-$(NMAP_VERSION)
	mkdir nmap-$(NMAP_VERSION)
	cd Release && cp -r ../../CHANGELOG ../../COPYING nmap-mac-prefixes nmap-os-db nmap-protocols nmap-rpc nmap-service-probes nmap-services nmap.exe nmap.xsl ../nmap_performance.reg ../../README-WIN32 ../nmap-$(NMAP_VERSION)/
	mkdir nmap-$(NMAP_VERSION)/scripts
	cd Release && cp -f $(NSE_FILES) ../nmap-$(NMAP_VERSION)/scripts/
	mkdir nmap-$(NMAP_VERSION)/nselib
	cp -a Release/nselib nmap-$(NMAP_VERSION)
	cp -a Release/nselib-bin nmap-$(NMAP_VERSION)
	zip -r nmap-$(NMAP_VERSION)-win32.zip nmap-$(NMAP_VERSION)
	cp winpcap/winpcap-nmap-*.exe nmap-$(NMAP_VERSION)
	mkdir nmap-$(NMAP_VERSION)/zenmap
	cd ../zenmap && install_scripts/windows/copy_and_compile.bat
	cp -R ../zenmap/dist/* ../zenmap/COPYING* ../zenmap/README nmap-$(NMAP_VERSION)/zenmap
	cp nsis/AddToPath.nsh nsis/Nmap.nsi nsis/shortcuts.ini nmap-$(NMAP_VERSION)
	$(MAKENSIS) nmap-$(NMAP_VERSION)/Nmap.nsi
	mv nmap-$(NMAP_VERSION)/NmapInstaller.exe nmap-$(NMAP_VERSION)-setup.exe

clean:
	$(VCEXPRESS) nmap.sln /clean
	rm -rf Debug Release nmapbuild.log

## nmap 5.00-2

=== debian/changelog ===
nmap (5.00-2) unstable; urgency=low

  * Optified
  * Initial release

 -- Nathan Reynolds <terminal3@gmail.com>  Sun, 20 Dec 2009 01:27:35 -0600

=== debian/control ===
Source: nmap
Section: user/network
Priority: extra
Maintainer: Nathan Reynolds <terminal3@gmail.com>
Build-Depends: debhelper (>= 5), autotools-dev
Standards-Version: 3.7.2

Package: nmap
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Port scanning utility for large networks
 Nmap ("Network Mapper") is a free and open source utility for network
 exploration or security auditing. Many systems and network administrators
 also find it useful for tasks such as network inventory, managing service
 upgrade schedules, and monitoring host or service uptime.

## nmap 5.20-1

=== debian/changelog ===
nmap (5.20-1) unstable; urgency=low

  * Initial release.  Fixed short description from 5.00, added App Manager icon, and optified.

 -- Nathan Reynolds <terminal3@gmail.com>  Thu, 21 Jan 2010 20:05:09 -0600

=== debian/control ===
Source: nmap
Section: user/network
Priority: extra
Maintainer: Nathan Reynolds <terminal3@gmail.com>
Build-Depends: debhelper (>= 5), autotools-dev
Standards-Version: 3.7.2

Package: nmap
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Open-source network and security scanning tool
 Nmap ("Network Mapper") is a free and open source utility for network
 exploration or security auditing. Many systems and network administrators
 also find it useful for tasks such as network inventory, managing service
 upgrade schedules, and monitoring host or service uptime.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAACXBIWXMAAAsS
 AAALEgHS3X78AAAKT2lDQ1BQaG90b3Nob3AgSUNDIHByb2ZpbGUAAHjanVNn
 VFPpFj333vRCS4iAlEtvUhUIIFJCi4AUkSYqIQkQSoghodkVUcERRUUEG8ig
 iAOOjoCMFVEsDIoK2AfkIaKOg6OIisr74Xuja9a89+bN/rXXPues852zzwfA
 CAyWSDNRNYAMqUIeEeCDx8TG4eQuQIEKJHAAEAizZCFz/SMBAPh+PDwrIsAH
 vgABeNMLCADATZvAMByH/w/qQplcAYCEAcB0kThLCIAUAEB6jkKmAEBGAYCd
 mCZTAKAEAGDLY2LjAFAtAGAnf+bTAICd+Jl7AQBblCEVAaCRACATZYhEAGg7
 AKzPVopFAFgwABRmS8Q5ANgtADBJV2ZIALC3AMDOEAuyAAgMADBRiIUpAAR7
 AGDIIyN4AISZABRG8lc88SuuEOcqAAB4mbI8uSQ5RYFbCC1xB1dXLh4ozkkX
 KxQ2YQJhmkAuwnmZGTKBNA/g88wAAKCRFRHgg/P9eM4Ors7ONo62Dl8t6r8G
 /yJiYuP+5c+rcEAAAOF0ftH+LC+zGoA7BoBt/qIl7gRoXgugdfeLZrIPQLUA
 oOnaV/Nw+H48PEWhkLnZ2eXk5NhKxEJbYcpXff5nwl/AV/1s+X48/Pf14L7i
 JIEyXYFHBPjgwsz0TKUcz5IJhGLc5o9H/LcL//wd0yLESWK5WCoU41EScY5E
 mozzMqUiiUKSKcUl0v9k4t8s+wM+3zUAsGo+AXuRLahdYwP2SycQWHTA4vcA
 APK7b8HUKAgDgGiD4c93/+8//UegJQCAZkmScQAAXkQkLlTKsz/HCAAARKCB
 KrBBG/TBGCzABhzBBdzBC/xgNoRCJMTCQhBCCmSAHHJgKayCQiiGzbAdKmAv
 1EAdNMBRaIaTcA4uwlW4Dj1wD/phCJ7BKLyBCQRByAgTYSHaiAFiilgjjggX
 mYX4IcFIBBKLJCDJiBRRIkuRNUgxUopUIFVIHfI9cgI5h1xGupE7yAAygvyG
 vEcxlIGyUT3UDLVDuag3GoRGogvQZHQxmo8WoJvQcrQaPYw2oefQq2gP2o8+
 Q8cwwOgYBzPEbDAuxsNCsTgsCZNjy7EirAyrxhqwVqwDu4n1Y8+xdwQSgUXA
 CTYEd0IgYR5BSFhMWE7YSKggHCQ0EdoJNwkDhFHCJyKTqEu0JroR+cQYYjIx
 h1hILCPWEo8TLxB7iEPENyQSiUMyJ7mQAkmxpFTSEtJG0m5SI+ksqZs0SBoj
 k8naZGuyBzmULCAryIXkneTD5DPkG+Qh8lsKnWJAcaT4U+IoUspqShnlEOU0
 5QZlmDJBVaOaUt2ooVQRNY9aQq2htlKvUYeoEzR1mjnNgxZJS6WtopXTGmgX
 aPdpr+h0uhHdlR5Ol9BX0svpR+iX6AP0dwwNhhWDx4hnKBmbGAcYZxl3GK+Y
 TKYZ04sZx1QwNzHrmOeZD5lvVVgqtip8FZHKCpVKlSaVGyovVKmqpqreqgtV
 81XLVI+pXlN9rkZVM1PjqQnUlqtVqp1Q61MbU2epO6iHqmeob1Q/pH5Z/YkG
 WcNMw09DpFGgsV/jvMYgC2MZs3gsIWsNq4Z1gTXEJrHN2Xx2KruY/R27iz2q
 qaE5QzNKM1ezUvOUZj8H45hx+Jx0TgnnKKeX836K3hTvKeIpG6Y0TLkxZVxr
 qpaXllirSKtRq0frvTau7aedpr1Fu1n7gQ5Bx0onXCdHZ4/OBZ3nU9lT3acK
 pxZNPTr1ri6qa6UbobtEd79up+6Ynr5egJ5Mb6feeb3n+hx9L/1U/W36p/VH
 DFgGswwkBtsMzhg8xTVxbzwdL8fb8VFDXcNAQ6VhlWGX4YSRudE8o9VGjUYP
 jGnGXOMk423GbcajJgYmISZLTepN7ppSTbmmKaY7TDtMx83MzaLN1pk1mz0x
 1zLnm+eb15vft2BaeFostqi2uGVJsuRaplnutrxuhVo5WaVYVVpds0atna0l
 1rutu6cRp7lOk06rntZnw7Dxtsm2qbcZsOXYBtuutm22fWFnYhdnt8Wuw+6T
 vZN9un2N/T0HDYfZDqsdWh1+c7RyFDpWOt6azpzuP33F9JbpL2dYzxDP2DPj
 thPLKcRpnVOb00dnF2e5c4PziIuJS4LLLpc+Lpsbxt3IveRKdPVxXeF60vWd
 m7Obwu2o26/uNu5p7ofcn8w0nymeWTNz0MPIQ+BR5dE/C5+VMGvfrH5PQ0+B
 Z7XnIy9jL5FXrdewt6V3qvdh7xc+9j5yn+M+4zw33jLeWV/MN8C3yLfLT8Nv
 nl+F30N/I/9k/3r/0QCngCUBZwOJgUGBWwL7+Hp8Ib+OPzrbZfay2e1BjKC5
 QRVBj4KtguXBrSFoyOyQrSH355jOkc5pDoVQfujW0Adh5mGLw34MJ4WHhVeG
 P45wiFga0TGXNXfR3ENz30T6RJZE3ptnMU85ry1KNSo+qi5qPNo3ujS6P8Yu
 ZlnM1VidWElsSxw5LiquNm5svt/87fOH4p3iC+N7F5gvyF1weaHOwvSFpxap
 LhIsOpZATIhOOJTwQRAqqBaMJfITdyWOCnnCHcJnIi/RNtGI2ENcKh5O8kgq
 TXqS7JG8NXkkxTOlLOW5hCepkLxMDUzdmzqeFpp2IG0yPTq9MYOSkZBxQqoh
 TZO2Z+pn5mZ2y6xlhbL+xW6Lty8elQfJa7OQrAVZLQq2QqboVFoo1yoHsmdl
 V2a/zYnKOZarnivN7cyzytuQN5zvn//tEsIS4ZK2pYZLVy0dWOa9rGo5sjxx
 edsK4xUFK4ZWBqw8uIq2Km3VT6vtV5eufr0mek1rgV7ByoLBtQFr6wtVCuWF
 fevc1+1dT1gvWd+1YfqGnRs+FYmKrhTbF5cVf9go3HjlG4dvyr+Z3JS0qavE
 uWTPZtJm6ebeLZ5bDpaql+aXDm4N2dq0Dd9WtO319kXbL5fNKNu7g7ZDuaO/
 PLi8ZafJzs07P1SkVPRU+lQ27tLdtWHX+G7R7ht7vPY07NXbW7z3/T7JvttV
 AVVN1WbVZftJ+7P3P66Jqun4lvttXa1ObXHtxwPSA/0HIw6217nU1R3SPVRS
 j9Yr60cOxx++/p3vdy0NNg1VjZzG4iNwRHnk6fcJ3/ceDTradox7rOEH0x92
 HWcdL2pCmvKaRptTmvtbYlu6T8w+0dbq3nr8R9sfD5w0PFl5SvNUyWna6YLT
 k2fyz4ydlZ19fi753GDborZ752PO32oPb++6EHTh0kX/i+c7vDvOXPK4dPKy
 2+UTV7hXmq86X23qdOo8/pPTT8e7nLuarrlca7nuer21e2b36RueN87d9L15
 8Rb/1tWeOT3dvfN6b/fF9/XfFt1+cif9zsu72Xcn7q28T7xf9EDtQdlD3YfV
 P1v+3Njv3H9qwHeg89HcR/cGhYPP/pH1jw9DBY+Zj8uGDYbrnjg+OTniP3L9
 6fynQ89kzyaeF/6i/suuFxYvfvjV69fO0ZjRoZfyl5O/bXyl/erA6xmv28bC
 xh6+yXgzMV70VvvtwXfcdx3vo98PT+R8IH8o/2j5sfVT0Kf7kxmTk/8EA5jz
 /GMzLdsAAAAgY0hSTQAAeiUAAICDAAD5/wAAgOkAAHUwAADqYAAAOpgAABdv
 kl/FRgAAClVJREFUeNrsmWmIZelZx3/vctZ77r213VtLV3X3dHd1zxpHkoEQ
 UHHB4AcJCmNcEBExRgf8MGpAwSQgCGpcBoILRDGGIGpcQBHHYAQHok4PqExP
 pmeml+qupauqq+rWXc5yz3kXP1SPGYSQmeTTQD1wPhxeeN//73ngOc//vMJ7
 z7s5JO/yOAU4BTgFOAU4BTgFOAU4BfgmQr85ynnA8dUX4yEQ4AU465BSggDr
 HEIIjLUURYEHnVfVeed5vGqap6SSj01NM+u9mwERCgECgYejOAjuhTp4LYvj
 F0OtX0nDcMN6bzxgvCeUCikE4sGZQgqkEBgHUpw8zoMSIN4EeKfEQpxsap3r
 D8vq6YlpfsIJ+a1Ka63iGCckSStDKslXjwHvHI1pyJ1nVJR455pE62tZGP5l
 FoV/HWj9hhTvvALCPRinv14FtJIIYDytL+6Mhr88LKsPqTBcyLKMKI7RUuLF
 iQIpTvZ7s7pv1eU94B3GWpq6YVrXTIuiipT64plO57dm0+QFAPM2K/C2AISH
 xpjeze29j+1X1UejbjvLkpgkComTGOOgMQ5rDNYYhHB471F4QGA9IAQgkCpA
 a4UOFFqCNZa8KBkXFdV4bLpC/O36maVPpHH8qsN/cwCRBA9ya/vg6eubO7/h
 Oq1z80sLxFGAkpJp2WAJ2N7dpSjGJFimVc5xUVKWJQf7exhj6S8uEacJM2lC
 mrSYCo0KE1aXlgk1RJHCeUAJ9rb2KfcP8/Wl/q9fPLf8XKBlPn2nAG8u5pPy
 0Zff2PrdvaL63sWLq2TdlDKvaIxnOhmzt39A2Tha7TZzWYJyhvFkxP7RiI2N
 O7zyyleoyoonn3yStbVVlnqzdNsZMkw4KiryvEA0FSsry8StFkGgSFsRk1HB
 YOeQpGm+8vjFM8/2FrrP+wciHV8HQALO+ZXrG7vP3to9+hk1281mFmfRgcLW
 jv2DIS/887/Qu3CBpLdClmoe6qTEEoaTgiLPaaUt7h8d8cbrr2Ks5cqFC7z3
 kYe5ezzCWMdcJwOluT2cMCgd08EBhzdvcOXxR3nksXWUhro2lOOS0dauPzOT
 feE9l9d+LQnUyw2g+BpdSAPDYvr+q69s/MXIc3bp4fMgJUprRsMJ9w+GvLqx
 y5FqMzd7FhVpmI4IVUZlISfiWAqacI5gTjLKD6iqEt15Aj0/Qz621LYh8YpU
 CFQzRaCJli5yvDXg2uYhVgesLi/Q6baI2yntJ9bF7q2tp/dfvP7973v47EeW
 59ufc2/RrD7xyU/+3xft7t7xMy9e3/wzNdftLV86Q9NYvFBs3ztgY2/EWHYQ
 UYavci6eW6UYHxFKw0w2Q2EFw1pQoDkY7PAHH3+Gv//8Z3npyy9w9YUvIc9c
 QXdXcAi0UkSBYlzmjIuClYU+4+Mj4pk+eqbPweGApqzIshTvPPNLcxgp9Z3N
 +z/gGttbmMm+JAXmzY6HAP3q7d3f/q/bu5+ePb+U9dd6lGWNE5KbGzvsTxzZ
 4jlWlxZ4aLHLfDdiNpaUZU5TT/FKURpB7gQ6jnn+z/+Q/3npP+lfeoTzj30L
 W7t7fOGPfpPKGaZoCuOxKJwzFPmELICFTshar81ab4a5lYc4thGv37pHZSxV
 ZZhfnmNx/Qw3B5Nnrl7b+Dtj3YJ4kPjgv69vfvbOMH925coqWTdjWhka47l1
 5wCZLXBmdZXlLGA+BFENCb2nrgsS4aCp8QislARhiNaauirpnL/Mt3/P9/Hj
 P/VzJL1lhA7wzhLFMSh90jCsIfKGaZ2jnUXVOTPasZhKVlcWafVWuLMzZJxX
 VKUhjEJWLq2QR/qD//Hy7X9qrFvRt7cPfn63mP7o3FqfMIoZjisOhiW7RzlJ
 t8uZ+TahAC0g1pD0Z5jsaPqdlMNDjS1yTFMjUDROAIqo3aG4fY3n/7Hmi8//
 A839u8izKxCmVNYSSYtznrrIiQLNYrdFEQX059sstCRVDY2H7kzCjutyY/uI
 XntKbzZltpMw05/jYGv/vddubD8n7w3GH81mM3QYsnNvwO3NAduHJblVhM2U
 2NW0Aki1JxAek+dEwpMFknOL80jXYOqCRAtSdVKRD/zgR7jwvg+Qb91gvHmT
 ucVFvusnf4lQBSTCkgUSXE1TFSzNtpmLNbECVxYo70k0pBoS4UhsTY3i3rhh
 Y/uYu1uHOC/IOi0mtfkOnQT6tUExvWTEiMNBjlQhiVYUw5K88hTVlCQO0Uqg
 JLSzlCDQKCyXVvoc39ukmgyYXe5SWw/GsDC3wg9//DO8fvXfMWXBQ0+9n5X+
 GjGGtna0I009mhAIuLJ2hkA6tFK0WglBILAWvINJWTOcFDRTQ6cdEWoYjEpa
 oSAwDQEc6MvnF3/2+sbep+7vH39wLgq7lW3oppqFziyVgaN8yvFoQhIo+nNt
 pLcgQOJpxyHnz63x+o2b9Bb69FotVGFwpkakGeapb8NYw2KrRUZDVwvmU00k
 Gnb3tlnu91ha6DIpKqQE5z15WbN/NGZS1lghSTsdLnYckW8weUUYCZrDYZnE
 wdX1s/2P6TgKN9fPLn34bDVdKMr63Lhq3nNcTL97PJk86Zy/5KIwarVThJDc
 vXef0dEh1fEQ4z2Nc6yfW2MwOGZ7c4P1S5eJUklLeAaFoS6OmNYN/ZZiIYnp
 JJok8Nzd3CIMNE88fAVjHbXzDCcTdgZjFpYq4iyj1YopJzl2MHapkrdTra7N
 ZuG/ZlHwUisNN6I4utdOIyca7ymqBuHBGIsMFEGgaBorB6Piyu79wYd3R+Mf
 G1l3qbe8SNpqMTw8AG/oZglznQ5ZkvLarZtUdc3q4jIKxTAv2dndx1rH8lKP
 bpaitWD38D51XfPo+hWsMxwOhwzGOdZCZ6FHPZ1yuH9AUDf3+1nrr5YXZj6/
 MNe5GoW6cc7RVA1aK7wQJLFGNN6TVw3Ce5rGILQmCDTeO4x1BFJSm6Z1/c7O
 D71849YvxvMzj55dv0yiI6qqIp+MSENNEmiGoyFFWZIGIZHSHB4eYp2jvzCP
 E5LxtETrgLmZGRoPk2lNGKe0khQjPXdv3uB4e3f38trqp5+4cPaPszTera1H
 K4lUEmMsZtoQaAVCkiZfCyDUOOdoGocUoJQgiAKOhuPo5s7Oh/bhV9vzS49n
 UUakFE3tsHWNxOKbhmmRk0+GlPkY5yxJmtFqz5CkGTIMsUIig4ggVDTOUZqS
 wWBvp1OWn1pfWvqTpd780NSGxlich0Ar1DcKoAQIJUBrptOK2lpkoHWB/JGD
 ml/Jax5WQhMqeTLyAtJxMve+1dJIgZdgH5ia2nqMb4gD9mYD/9ysEr9vm2YY
 CEEcx3hj8dZhvw7AO7KUHjDOEwlpelH4ucxP/2Z/MvzpI8JfKGSwKqVGKYUU
 EiFPhAtxIth7hzMOZy3WW4RtRnPUn+mFye9kabZtjWE89agT683bvXbR39i/
 AP8gwT7vCfd7mS//1IU8JRTfWTTmbGXFkvG+7REZICQ+V0LkkfS7acie8Obf
 bJF/eUbJe86dZNn5/+c9364nPr1iOgU4BTgFOAU4BTgFOAU4BXj3xv8OAEdi
 cR09yeh3AAAAAElFTkSuQmCC

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/nmap.sgml > nmap.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/nmap.
	$(MAKE) prefix=$(CURDIR)/debian/nmap/usr install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGELOG
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	./maemo-optify nmap
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## nmap 5.21-1

=== debian/changelog ===
nmap (5.21-1) unstable; urgency=low

  * Added verbose package details to long description, added bugtracker, added icons and sudoer.
  * Initial release.  Fixed short description from 5.00, added App Manager icon, and optified.

 -- Nathan Reynolds <terminal3@gmail.com>  Thu, 25 Jan 2010 20:05:09 -0600

=== debian/control ===
Source: nmap
Section: user/network
Priority: extra
Maintainer: Nathan Reynolds <terminal3@gmail.com>
Build-Depends: debhelper (>= 5), autotools-dev, python (>=2.5), python-central, python-gtk2, python-gobject
Standards-Version: 3.7.2

Package: nmap
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Command line open-source network and security scanning tool
 Nmap ("Network Mapper") is a free and open source utility for network
 exploration or security auditing. Many systems and network administrators
 also find it useful for tasks such as network inventory, managing service
 upgrade schedules, and monitoring host or service uptime.
 .
 This package contains the command-line only nmap and ncat. Most functions
 work without root privileges, while some (like OS fingerprinting) do
 require them. If you use an option that does require root privileges
 without using sudo, you will be notified that it requires them.
XSBC-Bugtracker: https://garage.maemo.org/tracker/?func=add&group_id=1367&atid=5044
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAACXBIWXMAAAsT
 AAALEwEAmpwYAAAKT2lDQ1BQaG90b3Nob3AgSUNDIHByb2ZpbGUAAHjanVNn
 VFPpFj333vRCS4iAlEtvUhUIIFJCi4AUkSYqIQkQSoghodkVUcERRUUEG8ig
 iAOOjoCMFVEsDIoK2AfkIaKOg6OIisr74Xuja9a89+bN/rXXPues852zzwfA
 CAyWSDNRNYAMqUIeEeCDx8TG4eQuQIEKJHAAEAizZCFz/SMBAPh+PDwrIsAH
 vgABeNMLCADATZvAMByH/w/qQplcAYCEAcB0kThLCIAUAEB6jkKmAEBGAYCd
 mCZTAKAEAGDLY2LjAFAtAGAnf+bTAICd+Jl7AQBblCEVAaCRACATZYhEAGg7
 AKzPVopFAFgwABRmS8Q5ANgtADBJV2ZIALC3AMDOEAuyAAgMADBRiIUpAAR7
 AGDIIyN4AISZABRG8lc88SuuEOcqAAB4mbI8uSQ5RYFbCC1xB1dXLh4ozkkX
 KxQ2YQJhmkAuwnmZGTKBNA/g88wAAKCRFRHgg/P9eM4Ors7ONo62Dl8t6r8G
 /yJiYuP+5c+rcEAAAOF0ftH+LC+zGoA7BoBt/qIl7gRoXgugdfeLZrIPQLUA
 oOnaV/Nw+H48PEWhkLnZ2eXk5NhKxEJbYcpXff5nwl/AV/1s+X48/Pf14L7i
 JIEyXYFHBPjgwsz0TKUcz5IJhGLc5o9H/LcL//wd0yLESWK5WCoU41EScY5E
 mozzMqUiiUKSKcUl0v9k4t8s+wM+3zUAsGo+AXuRLahdYwP2SycQWHTA4vcA
 APK7b8HUKAgDgGiD4c93/+8//UegJQCAZkmScQAAXkQkLlTKsz/HCAAARKCB
 KrBBG/TBGCzABhzBBdzBC/xgNoRCJMTCQhBCCmSAHHJgKayCQiiGzbAdKmAv
 1EAdNMBRaIaTcA4uwlW4Dj1wD/phCJ7BKLyBCQRByAgTYSHaiAFiilgjjggX
 mYX4IcFIBBKLJCDJiBRRIkuRNUgxUopUIFVIHfI9cgI5h1xGupE7yAAygvyG
 vEcxlIGyUT3UDLVDuag3GoRGogvQZHQxmo8WoJvQcrQaPYw2oefQq2gP2o8+
 Q8cwwOgYBzPEbDAuxsNCsTgsCZNjy7EirAyrxhqwVqwDu4n1Y8+xdwQSgUXA
 CTYEd0IgYR5BSFhMWE7YSKggHCQ0EdoJNwkDhFHCJyKTqEu0JroR+cQYYjIx
 h1hILCPWEo8TLxB7iEPENyQSiUMyJ7mQAkmxpFTSEtJG0m5SI+ksqZs0SBoj
 k8naZGuyBzmULCAryIXkneTD5DPkG+Qh8lsKnWJAcaT4U+IoUspqShnlEOU0
 5QZlmDJBVaOaUt2ooVQRNY9aQq2htlKvUYeoEzR1mjnNgxZJS6WtopXTGmgX
 aPdpr+h0uhHdlR5Ol9BX0svpR+iX6AP0dwwNhhWDx4hnKBmbGAcYZxl3GK+Y
 TKYZ04sZx1QwNzHrmOeZD5lvVVgqtip8FZHKCpVKlSaVGyovVKmqpqreqgtV
 81XLVI+pXlN9rkZVM1PjqQnUlqtVqp1Q61MbU2epO6iHqmeob1Q/pH5Z/YkG
 WcNMw09DpFGgsV/jvMYgC2MZs3gsIWsNq4Z1gTXEJrHN2Xx2KruY/R27iz2q
 qaE5QzNKM1ezUvOUZj8H45hx+Jx0TgnnKKeX836K3hTvKeIpG6Y0TLkxZVxr
 qpaXllirSKtRq0frvTau7aedpr1Fu1n7gQ5Bx0onXCdHZ4/OBZ3nU9lT3acK
 pxZNPTr1ri6qa6UbobtEd79up+6Ynr5egJ5Mb6feeb3n+hx9L/1U/W36p/VH
 DFgGswwkBtsMzhg8xTVxbzwdL8fb8VFDXcNAQ6VhlWGX4YSRudE8o9VGjUYP
 jGnGXOMk423GbcajJgYmISZLTepN7ppSTbmmKaY7TDtMx83MzaLN1pk1mz0x
 1zLnm+eb15vft2BaeFostqi2uGVJsuRaplnutrxuhVo5WaVYVVpds0atna0l
 1rutu6cRp7lOk06rntZnw7Dxtsm2qbcZsOXYBtuutm22fWFnYhdnt8Wuw+6T
 vZN9un2N/T0HDYfZDqsdWh1+c7RyFDpWOt6azpzuP33F9JbpL2dYzxDP2DPj
 thPLKcRpnVOb00dnF2e5c4PziIuJS4LLLpc+Lpsbxt3IveRKdPVxXeF60vWd
 m7Obwu2o26/uNu5p7ofcn8w0nymeWTNz0MPIQ+BR5dE/C5+VMGvfrH5PQ0+B
 Z7XnIy9jL5FXrdewt6V3qvdh7xc+9j5yn+M+4zw33jLeWV/MN8C3yLfLT8Nv
 nl+F30N/I/9k/3r/0QCngCUBZwOJgUGBWwL7+Hp8Ib+OPzrbZfay2e1BjKC5
 QRVBj4KtguXBrSFoyOyQrSH355jOkc5pDoVQfujW0Adh5mGLw34MJ4WHhVeG
 P45wiFga0TGXNXfR3ENz30T6RJZE3ptnMU85ry1KNSo+qi5qPNo3ujS6P8Yu
 ZlnM1VidWElsSxw5LiquNm5svt/87fOH4p3iC+N7F5gvyF1weaHOwvSFpxap
 LhIsOpZATIhOOJTwQRAqqBaMJfITdyWOCnnCHcJnIi/RNtGI2ENcKh5O8kgq
 TXqS7JG8NXkkxTOlLOW5hCepkLxMDUzdmzqeFpp2IG0yPTq9MYOSkZBxQqoh
 TZO2Z+pn5mZ2y6xlhbL+xW6Lty8elQfJa7OQrAVZLQq2QqboVFoo1yoHsmdl
 V2a/zYnKOZarnivN7cyzytuQN5zvn//tEsIS4ZK2pYZLVy0dWOa9rGo5sjxx
 edsK4xUFK4ZWBqw8uIq2Km3VT6vtV5eufr0mek1rgV7ByoLBtQFr6wtVCuWF
 fevc1+1dT1gvWd+1YfqGnRs+FYmKrhTbF5cVf9go3HjlG4dvyr+Z3JS0qavE
 uWTPZtJm6ebeLZ5bDpaql+aXDm4N2dq0Dd9WtO319kXbL5fNKNu7g7ZDuaO/
 PLi8ZafJzs07P1SkVPRU+lQ27tLdtWHX+G7R7ht7vPY07NXbW7z3/T7JvttV
 AVVN1WbVZftJ+7P3P66Jqun4lvttXa1ObXHtxwPSA/0HIw6217nU1R3SPVRS
 j9Yr60cOxx++/p3vdy0NNg1VjZzG4iNwRHnk6fcJ3/ceDTradox7rOEH0x92
 HWcdL2pCmvKaRptTmvtbYlu6T8w+0dbq3nr8R9sfD5w0PFl5SvNUyWna6YLT
 k2fyz4ydlZ19fi753GDborZ752PO32oPb++6EHTh0kX/i+c7vDvOXPK4dPKy
 2+UTV7hXmq86X23qdOo8/pPTT8e7nLuarrlca7nuer21e2b36RueN87d9L15
 8Rb/1tWeOT3dvfN6b/fF9/XfFt1+cif9zsu72Xcn7q28T7xf9EDtQdlD3YfV
 P1v+3Njv3H9qwHeg89HcR/cGhYPP/pH1jw9DBY+Zj8uGDYbrnjg+OTniP3L9
 6fynQ89kzyaeF/6i/suuFxYvfvjV69fO0ZjRoZfyl5O/bXyl/erA6xmv28bC
 xh6+yXgzMV70VvvtwXfcdx3vo98PT+R8IH8o/2j5sfVT0Kf7kxmTk/8EA5jz
 /GMzLdsAAAAgY0hSTQAAeiUAAICDAAD5/wAAgOkAAHUwAADqYAAAOpgAABdv
 kl/FRgAAEZVJREFUeNrUmXus5dd11z9r7/077/ueufP2nRkn4xnbcerGNjGp
 RfNwXsitk1BwS1BbWiURlEqIECgFpKogKtQHqKWoKQgJEE1bERpoK9pCSBu3
 IWCnboLrIYrHyeTOwzP3zn2cc36/8/vtvdfij3Pu9R3HkERUkC5p657fuVe6
 37X2d3/3d62fvPrcOVJKbG9thazpLZ12961e5IzzzrVbLS1CUBd8jk3SrDmZ
 qaphXlwSIWfNCSSD5ZRSVtXsvc/e+ybGlFQ1+eBz8D6raja17L1vvPcRITkn
 0YtrVGjELIpI452vcRKdc7WpNmY0qrkBqb13pZlMfHAphIIAkHOeO7yy8g9P
 nTr+gcX5ATkmVDPOO0RAs5JVyVnJmlFTTDE1UzXNllUNU1PLhkTDVMySQcSI
 atqYWmNmtZnVhlVmVGZUIowNK0HGGCPBxiIyRmSEMTJsrMbIzEonUiESctbC
 sBEQg5qxMD/3ffffc+EDt7a3+dwfXoxlWaEpgzNAADEBE8EAEDFAMRTMFFQg
 T5/JiEyfISJEjGRYmv4kAkmwhLjpZ5EEJCAKRBEag1qgAWkQiU4kOudiCD71
 ej0Nvghq5NAqwvLZtVNP7I6G/Mf//F9SzuqcOBEBRKb/zmM4EDABsSlAZZqe
 gihiQZCMiM5AOWYhYAe+9xhOBCdOBDARMUEUQUUkuVlCIhJfWkRBog8+Z9XU
 7/XVeydhXJZHO+32q55+5g/IKUur1RJgWusMzAMTRBBwYGDOzAkIIsYMA4ga
 YpiZgIhM90sww2GqNt0VmVbejAazBmhMbYJIJVCJUCmUglSITBAmgkyck9p5
 H0Ut1nVK4ia5XRQWWiGsVtV4eXt7x7z304LVYCAyMFo/noj/3KP/3SGK0saM
 aSKYGWbCdDeM6a+ygaKaHWSFRKYBqw1qMhOwCqGSTAmMMfZ4PzazEUyfp4sx
 SOWU2qnWphrNTMHUmWkQbKlposQmZmTKRDlq0vrhRPgORY5A+AtK/g1H88Me
 fVZE2tjsNDADv7em4CE5kcagNrMJsLcqoBSxEpORmg2BoYgMzWzI9HkEjMxs
 LEKJMUGkVqgRbbxqVjPFzMqcCWbWq2MmqZqoiGG0/nGi9WeV5t845IRhu9D+
 dsXfa278UMi2LUrA9kDPVmLv4MK+4rwEXEqwagqOEVMVGc7WrpmNp59lJMLY
 zEqgEpGJmTYY0YlkM8tqZsE5w3tCCKEbY0RNlYyTefCPGLohTN4faP3tRPqw
 U3vaxN1nJgPMtvZPiB4Av7dqEWlmla/2qg5WzqgxnNHk9urDSERGZjZWtbGI
 TERkoqo1kJxzUc3Umaog+9sfxLl2HSOYGU6gFOw5CG8yOj+eTc6a5BMm9Y/4
 bKAuAMVttHlJAkUabqfNDDzlAWoM/0/gzawUkUpE6hn46JzLqmopRjOg3++9
 lEDO2k0xYYpJAEtQ//UA/yTRen8WAH93lvw75psPO/InXJLWbbRJM9pMgPgy
 8OMZ+LGIDFV1JCL7CajqrojcBt45NwEmOedGptqfcs6aUpppx+3hMLpZDcNM
 BMRj+TMul48WWj4WLD0lpjtixXeq9D6agnutYnEfdJxVfo82ByjDeLZGZjY0
 s6GI7AK7M87vgR+a2Wiv8mY2yTk3zrnGe59SSppSUplenl8RLpt1zAzAUIF5
 LHyrij+nxF91OT8D1VtDnPwdn9wShMdNsOltCjQiUr8CbfbBi8htwA+A352B
 L82scs5VIlKbWS0ijXMuxxgt5/yKwPcp5J1r5ZxNREyjZXfEQvdj0TGG8ZsL
 RTGZQ2VxaiwYz3gvJEGameK87MBOE7CXZHEviaGqDmeVHx+gTWVmtao2zrko
 IrlpGlVV5atEQAhmpmaWpSDo58WaD3ttfzC7/u/EYAbhHantj5nkZ0XTL7ux
 QEMtNTBRbgM/EihpUc8os682B2i0R5vKzMbOucnLwccYs6oaX0ME70NhqllE
 ph5BRZu/ETQ/LS68O0v40+b1Ihp/3jfpX7ixrUspJzE5YgG1lp8erCkHHY4N
 SXaVmwfB7yUwo1M5o83LK59EJMUY7WsFP5VREdFpAmpmhp9agvQRl9JHXG79
 WOrEn/VjuyzV1NpJFb4tLYcfzMtUZHT/QkM6uPgR/1zz9/yzUlDOkthV1aFz
 bjSj1b7amNlEVaP3PplZjjHq1wMeIJiZGWQz25NGQzBpoRg5/gO/Sy1RCpI4
 aUwtxl92V9PH3WX0oNZLhVjJNrckvHRh7VV+Br48AL6egY+Azpqh/y34mdAA
 UFUlzhRLBcFUFbMEqEwt795fZoTMrjQEGnEy1XihZlNKu7mnNDIGhpk0zOQt
 YGd2cLdnqrN3kCdAM5NeBVK73Y5mllNKr0ibM2fPI+JwweOAEDw+eDqdDp1W
 iyJ4gpllgz0K5VkHY/vepnjpht03ZWH/0E7McplSHs3PL1Tn77138djJE6tz
 C3NFt9trCdKIk0bEVSnG6ynnLzdNfOH61SuXnvvsZ8ur6+t7nsAA3vDImzl1
 8jSxacAXvO2d3wXq6S72CMDhQ0ssLc2Rs+67ySAiNgOeRMSrqhywCHGmzQc1
 vjKzcYpxCOwuHzqU3vpt337qDW980+m77rn75KHDhxf6g/6g1+t5cfs9DU1d
 p5jyzaaJV3a2tj71pRee/w+bN248qUVRaVZGm7vcceQMh5ZW0SZSq+P6izfJ
 TYaW4oHxOFAUcFBdwwEHmQAv014sm1kjIvFldrhMKY5MbffE6dPuLY89du6d
 737PhQuvec2p/vycBO+ZtXKY7DcJCOC9D844VqR0rNPvPbB68sQHYtM8tVOO
 fiFH/Xdb1zbXb11+ke2tW5CVxtwrOYdXuAem/iWKSAb87Pu0Z4kPmrKmaXYH
 /UH96GOPn/mO973vwr0PfPPRdhHod9oYELMSY0RMEQTvpr4xzipm4ggh0G4V
 AEVUfdj71sNVOfz+qix/Lqf0r4MPu1+XCh3YgWxmMhWlqS3eA59SHKna6P77
 /8TgXe/9ngf/1OOPrR1bO+FyyqQYefHWkGsbW8S6IuSa3fGY3dGYWxs3wIzl
 Q6v0+z0WBwOyb+NbHY4fXqbTbtGfX6Lo9u8z/M9IlnfVm6O/j9onDjjmr5rA
 Hljba7BVNU0PqFUxxt3FhaX82J/58+cee+/3XDh93/lOp9dma1iye2uL7e0d
 tsYNc3N9ljtdUk7kCNev3+IzT3+OrMqDr3uAM2tzODztVpetOvH7z11ivtNi
 aWme+aVFVk4cl/7S8ltuPL/++vLKxk/Xu9VPYLb5NSUw43s2s9bsQEdVLXNK
 4wt339/77r/ywXsefufbj3aW5zAztkcTPvmJT7M9qlh51atZXljh6PIAr8bN
 OjF/aJ7XHTlNq9enaRq+9aEHWJhb4NKNTQadPsfnAl8IbV7YKnn6dz/LoPA8
 8saH6Q+6rJ4/O6iOrPzQ9YuX31hdvvEh0/zJr3aRNTOq2CyJHJu6arU6k7e/
 64kTT/ylHzx/10Pf1E0CMUauv3iLq9sVXyqFxZWT9AZLuLSDl3nGamzLAN9d
 YHf9Ip/8jY/SxIYTJ1Y5c98b2KGmq4E5wMcJ/cECO4fXuHz9Os88f5PjS22O
 Hl2iu7LE2oP91/eW5z927bkv/5im9JM+hPRKCfiVlZWHcs53jsfjJCI5NnU1
 P7+c/+IP/NDd3/uhD50/9ZpXFRljOCz5wuWbbMQWvZXjtCVzdK5N0XIQRywM
 FthuHKXrsr7+P/lHf/P7eOY//RYvPPccv/ep32bxrtcxt7qGaKZbeDZ3t1Ez
 llqBdrfH0qmz3BrX7N7aplN4BoM+86uL3bmVwaPVzvhcqppP9vvdcafTvu1W
 3tuBSkS0riesHjlZ/OUP/cg3vfmJ9xzrLPSIOXNrc8i1rQmuv8La0jxdUWLI
 dLzRpAkWG7I4JgZFv8v6pee4du0qj37v++nPzfOxX/yXXPnC5zj/2j9JnGTM
 eUgNMWf6rTaLrcyJgVDPHWF7Z8T6xg45K4dX5lk8eohWu3ji6rOXT1i07xbh
 halUv3QGJkCZc9a5wULxvr/6t+57x3f9uWPtxQ67wwnXN0bcHDcsrRzi8Hyb
 FtAOwlbb45wQAmzsbGOaMfFkgdDp0bLI8xf/B612F5dKfKtDAgxDNVFub9Fb
 PEy/cITkWe0JjcLS6oCtYYsrGxuUVeTISp/FQwu4u9ce2bx07We2hsP3irit
 gwk0QBljU9914TUn3vGed6/5jufK1S2ubZbcGCfa7YJDbVhsTcelYkrHMoNO
 Bz8/R7URsDShXwyIdcPava/nnkce5Zl//0uYGhfe9DbOvu6NWGzoB0HThG7h
 WTt2CFfV7EwqCjParenl5wpjvVEuDWt2R5FjK12OLHSZX114ZyzLcyLu0wft
 dD1rLOqmqber0bBuL/TbO8MJEjy9vqeZRIajkn5bGLRbtApHp9cGlBPL82x0
 u4x2Nlk8Nk8cT0iDBR7/az/JuYfeRo6R89/yKKvLR+nZhKVeYHzzFr0icGpl
 gWtXXqTdadPvOmKG8SSyW5akpHTaLYqWZ2dYsdgWJOcy1ql0ByyKX1paOmtm
 x5qmidu3Nre/cPHzV1JlsVcUxcpcr72yMHCDuT4KDMcVu6OSuq7YurlJuxU4
 cWyVbqfF+tV1VhbnGXQ75LqmKNp0jp1hZe08J+fnWHINRweBDg03rl7m3Jk1
 Dh9aZvPmLba3R1gRuLEzYWs8ITnPoFuw4DJ9S40bj69cv7T+m5dfuPqjmxu7
 v7u5sa2bGztsbuwQQCaqOnLOqarmJz/+6099+smPP7m8vKJ3vvqe3l2vfeD0
 kVNn7rzwwIP3LR4/vNbudhhWE7bLCSHA7njEscOH2B2N2Lh+hTtOrdGbK9gY
 Toijm5gZpxZWWZlrU7jE5avrHF89zNrJE2yNSkaTip3JhO4405vrkHZ2qa5e
 /2I9qn7PYv5v1c3hp8zS87mQ7Und5Ha7dZsKydmzdz6cc3r99vZ2nsVEVceq
 eZhSGpqxFXwY3//gIyfe8Oa3fsvafd/8rmN3nnzw+B0nSXXNpCzptgPLgwE3
 NjeoJhXLc4sEPFev3yBn5eTxI6gYW6MdihA4duQIW8MxZR1pdbq0el1evHKV
 S88+/5lutF/Ilf6q7/Qu9hZ6TDaGGBk6nsmkodUqbkvALy4uHgIO1XU9UdV6
 NqMcicjI+1CGEBrMmi9fvvTlzz31qU/8/qf/66/vbI/+sLs0WD58eu2Oubll
 shWUMdPu9PAExmXFeLTLpBphuSFpplGh1enTHSwySmBFl/7iMtr2PPsHn3nq
 47/yaz/64hdv/N3VxcXf9KG94UKgaBekspm6nOBIKTOboN/WE1dmNpy9UcnT
 Yep0jjmbYU6c95OWc1ZOyqL64sX1j3744j/b2Fr/t99/9o7vPH107QdCt39B
 FZzAoLvIXFbqyZj5lBAzXFFQtPtTEDa1vOJAXXrh+sbNn778pS/9q2pcbnSL
 RdzLAH61cExf5QwRGbrZmrWB49kFV+01361WO4VQeDOT3/6lX9xqqupnW07e
 bsONn2jKnfUm1dQ5UTvwgzlay0sUK8vI3BxNgFoTTa5pyp2btnvzn3qxt4vI
 T4lzG36/l/j6IohjYiZjETIikemYsDKzyWw3ajNrDk4OAAvtFiKCwuVWU30w
 uOpXJtSPNxruKkL7aHaymG2KSCA5s92U6g2k+Xwnx18LyX5L+foBf0UCTnyD
 pJHg1DlNqrLf+x6YHCRVTSml2RDjZSGCw5502JNKdmAeQ8yQ/XdkZoplFZn2
 rCb/9+Cngy2xaM6NnXdq5pOTHPN0xl+bWfTeR52i11fC/pUhe2P3V/rdbP3R
 RUAkBS9VCF4xTVlddE5jStqIyB5tjG/QCE4ki7iqCME05+ydS3n6Xjarqc7A
 f+MmYCY5FK4OwZOSzzlrdE6zObXY5Py10eb/YwKdbksFVxdF4VLKOavmoFlV
 3Tc28gPvBwwjtVstySmbTWd9BvLHI4Hpe2qy916KIljKyaYXyh8L/AR7Scr/
 qKT5/2n8rwEAbwnwerRwpdoAAAAASUVORK5CYII=

## nmap 5.21-2

=== debian/changelog ===
nmap (5.21-2) unstable; urgency=low

  * Added verbose package details to long description, added bugtracker, added icons and sudoer.
  * Initial release.  Fixed short description from 5.00, added App Manager icon, and optified.

 -- Nathan Reynolds <terminal3@gmail.com>  Thu, 25 Jan 2010 20:05:09 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/network
 Priority: extra
 Maintainer: Nathan Reynolds <terminal3@gmail.com>
-Build-Depends: debhelper (>= 5), autotools-dev, python (>=2.5), python-central, python-gtk2, python-gobject
+Build-Depends: debhelper (>= 5), autotools-dev, sed, openssl, python (>=2.5), python-central
 Standards-Version: 3.7.2
 
 Package: nmap

## nmap 5.21-3

=== debian/changelog ===
nmap (5.21-3) unstable; urgency=low

  * Fixed issue with build process in autobuilder.

 -- Nathan Reynolds <terminal3@gmail.com>  Sat, 28 Mar 2010 00:40:09 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/network
 Priority: extra
 Maintainer: Nathan Reynolds <terminal3@gmail.com>
-Build-Depends: debhelper (>= 5), autotools-dev, sed, openssl, python (>=2.5), python-central
+Build-Depends: debhelper (>= 5), autotools-dev, libssl0.9.8, libssl-dev, openssl, python (>=2.5), python-central
 Standards-Version: 3.7.2
 
 Package: nmap

## nmap 5.21-4

=== debian/changelog ===
nmap (5.21-4) unstable; urgency=low

  * Fixed issue with build process in autobuilder.

 -- Nathan Reynolds <terminal3@gmail.com>  Sat, 28 Mar 2010 00:40:09 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/network
 Priority: extra
 Maintainer: Nathan Reynolds <terminal3@gmail.com>
-Build-Depends: debhelper (>= 5), autotools-dev, libssl0.9.8, libssl-dev, openssl, python (>=2.5), python-central
+Build-Depends: debhelper (>= 5), autotools-dev, bluez, libssl0.9.8, libssl-dev, openssl, python (>=2.5), python-central
 Standards-Version: 3.7.2
 
 Package: nmap

## nmap 5.50

=== debian/changelog ===
nmap (5.50) unstable; urgency=low

  * Initial release, adds nping utility and removes desktop icon.

 -- Nathan Reynolds <terminal3@gmail.com>  Sun, 30 Jan 2011 20:05:09 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/network
 Priority: extra
 Maintainer: Nathan Reynolds <terminal3@gmail.com>
-Build-Depends: debhelper (>= 5), autotools-dev, bluez, libssl0.9.8, libssl-dev, openssl, python (>=2.5), python-central
+Build-Depends: debhelper (>= 5), autotools-dev
 Standards-Version: 3.7.2
 
 Package: nmap
@@ -14,9 +14,9 @@
  also find it useful for tasks such as network inventory, managing service
  upgrade schedules, and monitoring host or service uptime.
  .
- This package contains the command-line only nmap and ncat. Most functions
- work without root privileges, while some (like OS fingerprinting) do
- require them. If you use an option that does require root privileges
+ This package contains the command-line only nmap, ncat, ndiff, and nping.
+ Most functions work without root privileges, while some (like OS fingerprinting)
+ do require them. If you use an option that does require root privileges
  without using sudo, you will be notified that it requires them.
 XSBC-Bugtracker: https://garage.maemo.org/tracker/?func=add&group_id=1367&atid=5044
 XB-Maemo-Icon-26:

=== debian/rules ===
--- 
+++ 
@@ -101,7 +101,9 @@
 	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
+	./maemo-config-preopt
 	./maemo-optify nmap
+	./maemo-config-postopt
 	dh_builddeb
 
 binary: binary-indep binary-arch

## nmap 5.50-2

=== macosx/Makefile ===
# This makefile builds a disk image (.dmg) containing the installer for Nmap,
# Zenmap, Ncat, and Ndiff.

NMAP_VERSION := $(shell grep '^\#[ \t]*define[ \t]\+NMAP_VERSION' ../nmap.h | sed -e 's/.*"\(.*\)".*/\1/' -e 'q')
NMAP_NUM_VERSION := $(shell grep '^\#[ \t]*define[ \t]\+NMAP_NUM_VERSION' ../nmap.h | sed -e 's/.*"\(.*\)".*/\1/' -e 'q')

NAME_VERSION = nmap-$(NMAP_VERSION)$(if $(APPENDAGE),-$(APPENDAGE))

IMAGE_NAME = $(NAME_VERSION).dmg
PKG_NAME = $(NAME_VERSION).mpkg

IMAGE_STAGING_DIR = $(NAME_VERSION)

NMAP_BUILD_DIR = nmap-build
NMAP_STAGING_DIR = Nmap

ZENMAP_BUILD_DIR = zenmap-build
ZENMAP_STAGING_DIR = Zenmap

NCAT_BUILD_DIR = ncat-build
NCAT_STAGING_DIR = Ncat

NDIFF_BUILD_DIR = ndiff-build
NDIFF_STAGING_DIR = Ndiff

NPING_BUILD_DIR = nping-build
NPING_STAGING_DIR = Nping

MACPORTS_PREFIX=$(HOME)/macports-10.4u
PREFIX = /usr/local

PACKAGEMAKER = /Developer/usr/bin/packagemaker

EXTRA_DIST = README ../COPYING ../docs/3rd-party-licenses.txt ../docs/licenses

CONFIGURE_ARGS = --prefix="$(PREFIX)" --with-libdnet=included --with-libpcap=included --with-libpcre=included --with-liblua=included CC="$(CC)" CXX="$(CXX)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)"

# Flags for building universal binaries. See
# http://developer.apple.com/documentation/Porting/Conceptual/PortingUnix/compiling/chapter_4_section_3.html.
UNIVERSAL_CONFIGURE_ARGS = --disable-dependency-tracking
# gcc-4.0 is used to avoid an error with stdarg.h ("No such file or directory")
# when building against the 10.4u SDK on OS X 10.6.
UNIVERSAL_CC = gcc-4.0
UNIVERSAL_CXX = g++-4.0
UNIVERSAL_CPPFLAGS = -isysroot /Developer/SDKs/MacOSX10.4u.sdk
UNIVERSAL_CFLAGS = $(UNIVERSAL_CPPFLAGS) -mmacosx-version-min=10.4 -arch ppc -arch i386
UNIVERSAL_CXXFLAGS = $(UNIVERSAL_CFLAGS)
UNIVERSAL_LDFLAGS = -Wl,-syslibroot,/Developer/SDKs/MacOSX10.4u.sdk -mmacosx-version-min=10.4 -arch ppc -arch i386

CC = $(UNIVERSAL_CC)
CXX = $(UNIVERSAL_CXX)
CONFIGURE_ARGS += $(UNIVERSAL_CONFIGURE_ARGS)
CPPFLAGS += $(UNIVERSAL_CPPFLAGS)
CFLAGS += $(UNIVERSAL_CFLAGS)
CXXFLAGS += $(UNIVERSAL_CXXFLAGS)
LDFLAGS += $(UNIVERSAL_LDFLAGS)

$(IMAGE_NAME): $(IMAGE_STAGING_DIR)/$(PKG_NAME)
	rm -f $@
	hdiutil create -imagekey zlib-level=9 -srcfolder $(IMAGE_STAGING_DIR) $@

$(IMAGE_STAGING_DIR)/$(PKG_NAME): stage-nmap stage-ncat stage-ndiff stage-zenmap stage-nping COPYING.formatted
	mkdir -p $(IMAGE_STAGING_DIR)
	cp -rf $(EXTRA_DIST) $(IMAGE_STAGING_DIR)/
	$(PACKAGEMAKER) --doc nmap.pmdoc --title "Nmap $(NMAP_VERSION)" -o $@

export-%:
	rm -rf $*
# Using @BASE discards local changes.
	svn export ..@BASE $*

stage-nmap: export-$(NMAP_BUILD_DIR)
	cd $(NMAP_BUILD_DIR) && ./configure --without-zenmap --without-ncat --without-ndiff --without-nping $(CONFIGURE_ARGS)
	make -C $(NMAP_BUILD_DIR)
	rm -rf $(NMAP_STAGING_DIR)
	make -C $(NMAP_BUILD_DIR) install DESTDIR="`pwd`/$(NMAP_STAGING_DIR)"

stage-ncat: export-$(NCAT_BUILD_DIR)
	cd $(NCAT_BUILD_DIR) && ./configure --without-zenmap --with-ncat --without-ndiff --without-nping $(CONFIGURE_ARGS)
	make -C $(NCAT_BUILD_DIR)
	rm -rf $(NCAT_STAGING_DIR)
	make -C $(NCAT_BUILD_DIR) install-ncat DESTDIR="`pwd`/$(NCAT_STAGING_DIR)"

stage-nping: export-$(NPING_BUILD_DIR)
# Link against the local MacPorts openssl because the 10.4u SDK doesn't
# have EVP_sha256, used by Nping. We let configure find the libraries
# dynamically, then link with the static libraries with "make".
	cd $(NPING_BUILD_DIR) && ./configure --without-zenmap --without-ncat --without-ndiff --with-nping --with-openssl="$(MACPORTS_PREFIX)" $(CONFIGURE_ARGS)
	make -C $(NPING_BUILD_DIR) OPENSSL_LIBS="$(MACPORTS_PREFIX)/lib/libssl.a $(MACPORTS_PREFIX)/lib/libcrypto.a $(MACPORTS_PREFIX)/lib/libz.a"
	rm -rf $(NPING_STAGING_DIR)
	make -C $(NPING_BUILD_DIR) install-nping DESTDIR="`pwd`/$(NPING_STAGING_DIR)"

# make-bundle.sh uses these to build its authorization wrapper.
export CC CPPFLAGS CFLAGS CXXFLAGS LDFLAGS

stage-zenmap: export-$(ZENMAP_BUILD_DIR)
	cd $(ZENMAP_BUILD_DIR)/zenmap && install_scripts/macosx/make-bundle.sh
	rm -rf $(ZENMAP_STAGING_DIR)
	mkdir -p $(ZENMAP_STAGING_DIR)/Applications
	cp -rf $(ZENMAP_BUILD_DIR)/zenmap/dist/Zenmap.app $(ZENMAP_STAGING_DIR)/Applications/

stage-ndiff: export-$(NDIFF_BUILD_DIR)
	cd $(NDIFF_BUILD_DIR) && ./configure --without-zenmap --without-ncat --with-ndiff --without-nping $(CONFIGURE_ARGS)
	make -C $(NDIFF_BUILD_DIR) build-ndiff
	rm -rf $(NDIFF_STAGING_DIR)
	make -C $(NDIFF_BUILD_DIR) install-ndiff DESTDIR="`pwd`/$(NDIFF_STAGING_DIR)"

COPYING.formatted:
# Use the license formatter from the Windows installer.
	../mswin32/license-format/licformat.sh ../COPYING > $@

clean:
	rm -rf $(IMAGE_STAGING_DIR)
	rm -rf $(NMAP_BUILD_DIR)
	rm -rf $(NMAP_STAGING_DIR)
	rm -rf $(ZENMAP_BUILD_DIR)
	rm -rf $(ZENMAP_STAGING_DIR)
	rm -rf $(NCAT_BUILD_DIR)
	rm -rf $(NCAT_STAGING_DIR)
	rm -rf $(NDIFF_BUILD_DIR)
	rm -rf $(NDIFF_STAGING_DIR)
	rm -rf $(NPING_BUILD_DIR)
	rm -rf $(NPING_STAGING_DIR)
	rm -f COPYING.formatted
	rm -f $(IMAGE_NAME)

.PHONY: clean export-% stage-%

=== debian/changelog ===
nmap (5.50-2) unstable; urgency=low

  * Fixed autobuilder dependency issue.

 -- Nathan Reynolds <terminal3@gmail.com>  Sun, 30 Jan 2011 20:05:09 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/network
 Priority: extra
 Maintainer: Nathan Reynolds <terminal3@gmail.com>
-Build-Depends: debhelper (>= 5), autotools-dev
+Build-Depends: debhelper (>= 5), autotools-dev, openssl, libssl-dev, libssl0.9.8, bluez, python, python-central
 Standards-Version: 3.7.2
 
 Package: nmap

## nmap 5.59BETA1

=== macosx/Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 
 EXTRA_DIST = README ../COPYING ../docs/3rd-party-licenses.txt ../docs/licenses
 
-CONFIGURE_ARGS = --prefix="$(PREFIX)" --with-libdnet=included --with-libpcap=included --with-libpcre=included --with-liblua=included CC="$(CC)" CXX="$(CXX)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)"
+CONFIGURE_ARGS = --prefix="$(PREFIX)" --with-libdnet=included --with-libpcap=included --with-libpcre=included --with-liblua=included CC="$(CC)" CXX="$(CXX)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" PYTHON="$(PYTHON)"
 
 # Flags for building universal binaries. See
 # http://developer.apple.com/documentation/Porting/Conceptual/PortingUnix/compiling/chapter_4_section_3.html.
@@ -42,18 +42,27 @@
 # when building against the 10.4u SDK on OS X 10.6.
 UNIVERSAL_CC = gcc-4.0
 UNIVERSAL_CXX = g++-4.0
+# Setting ARCHFLAGS separately is required. distutils.util.get_platform
+# sniffs it to determine whether to return a universal architecture
+# ("fat" or "universal") or a single one ("i386" or "ppc"). py2app in
+# turn uses the arch value to decide which of its bootstrappers to
+# install.
+UNIVERSAL_ARCHFLAGS = -arch ppc -arch i386
 UNIVERSAL_CPPFLAGS = -isysroot /Developer/SDKs/MacOSX10.4u.sdk
-UNIVERSAL_CFLAGS = $(UNIVERSAL_CPPFLAGS) -mmacosx-version-min=10.4 -arch ppc -arch i386
+UNIVERSAL_CFLAGS = $(UNIVERSAL_CPPFLAGS) -mmacosx-version-min=10.4 $(UNIVERSAL_ARCHFLAGS)
 UNIVERSAL_CXXFLAGS = $(UNIVERSAL_CFLAGS)
-UNIVERSAL_LDFLAGS = -Wl,-syslibroot,/Developer/SDKs/MacOSX10.4u.sdk -mmacosx-version-min=10.4 -arch ppc -arch i386
+UNIVERSAL_LDFLAGS = -Wl,-syslibroot,/Developer/SDKs/MacOSX10.4u.sdk -mmacosx-version-min=10.4 $(UNIVERSAL_ARCHFLAGS)
 
 CC = $(UNIVERSAL_CC)
 CXX = $(UNIVERSAL_CXX)
+ARCHFLAGS += $(UNIVERSAL_ARCHFLAGS)
 CONFIGURE_ARGS += $(UNIVERSAL_CONFIGURE_ARGS)
 CPPFLAGS += $(UNIVERSAL_CPPFLAGS)
 CFLAGS += $(UNIVERSAL_CFLAGS)
 CXXFLAGS += $(UNIVERSAL_CXXFLAGS)
 LDFLAGS += $(UNIVERSAL_LDFLAGS)
+
+PYTHON = /usr/bin/python
 
 $(IMAGE_NAME): $(IMAGE_STAGING_DIR)/$(PKG_NAME)
 	rm -f $@
@@ -62,7 +71,7 @@
 $(IMAGE_STAGING_DIR)/$(PKG_NAME): stage-nmap stage-ncat stage-ndiff stage-zenmap stage-nping COPYING.formatted
 	mkdir -p $(IMAGE_STAGING_DIR)
 	cp -rf $(EXTRA_DIST) $(IMAGE_STAGING_DIR)/
-	$(PACKAGEMAKER) --doc nmap.pmdoc --title "Nmap $(NMAP_VERSION)" -o $@
+	$(PACKAGEMAKER) --doc nmap.pmdoc --title "Nmap $(NMAP_VERSION)" --no-relocate -o $@
 
 export-%:
 	rm -rf $*
@@ -91,7 +100,7 @@
 	make -C $(NPING_BUILD_DIR) install-nping DESTDIR="`pwd`/$(NPING_STAGING_DIR)"
 
 # make-bundle.sh uses these to build its authorization wrapper.
-export CC CPPFLAGS CFLAGS CXXFLAGS LDFLAGS
+export CC ARCHFLAGS CPPFLAGS CFLAGS CXXFLAGS LDFLAGS
 
 stage-zenmap: export-$(ZENMAP_BUILD_DIR)
 	cd $(ZENMAP_BUILD_DIR)/zenmap && install_scripts/macosx/make-bundle.sh

=== debian/changelog ===
nmap (5.59BETA1) unstable; urgency=low

  * Initial build.

 -- Nathan Reynolds <terminal3@gmail.com>  Tue, 12 Jul 2011 20:05:09 -0500

## nmap 6.00

=== mswin32/Makefile ===
MAKENSIS="/cygdrive/c/Program Files/NSIS/makensis.exe"
VCEXPRESS := $(shell reg query "HKEY_CLASSES_ROOT\\Applications\\VCExpress.exe\\shell\\edit\\command" | egrep -i '[A-H]:\\' | cut -d\" -f2 | sed 's%\\%/%g' | tr -d '\n')
export NMAP_VERSION := $(shell grep '^\#[ \t]*define[ \t]\+NMAP_VERSION' ../nmap.h | sed -e 's/.*"\(.*\)".*/\1/' -e 'q')
export NMAP_NUM_VERSION := $(shell grep '^\#[ \t]*define[ \t]\+NMAP_NUM_VERSION' ../nmap.h | sed -e 's/.*"\(.*\)".*/\1/' -e 'q')
COMMA_VERSION=$(shell echo $(NMAP_NUM_VERSION) | tr '.' ',')
LOGLOC=c:nmapbuild.log
NSE_FILES = scripts/script.db scripts/*.nse

winbuild:
# VCExpress.exe is devenv.com with the commercial Visual Studio suite instead of VC++ Express

	@echo "Setting version: $(NMAP_VERSION) ($(NMAP_NUM_VERSION))"
	@cat ./nmap.rc | sed 's/VALUE "FileVersion", .*"/VALUE "FileVersion", "$(NMAP_VERSION)\\0"/' > ./nmap.rc.tmp
	@cat ./nmap.rc.tmp | sed 's/FILEVERSION .*,.*,.*,.*/FILEVERSION $(COMMA_VERSION)/' > ./nmap.rc
	@cat ./nsis/Nmap.nsi | sed 's/VIProductVersion ".*"/VIProductVersion "$(NMAP_NUM_VERSION)"/' > ./nmap.nsi.tmp
	@cat ./nmap.nsi.tmp | sed 's/!define VERSION ".*"/!define VERSION "$(NMAP_VERSION)"/' > ./nsis/Nmap.nsi
	@rm ./nmap.nsi.tmp ./nmap.rc.tmp
	@./license-format/licformat.sh ../COPYING > LICENSE

	"$(VCEXPRESS)" nmap.sln /build release /log $(LOGLOC)
	"$(VCEXPRESS)" nmap.sln /build release /project nmap-update /log $(LOGLOC)
	$(MAKENSIS) winpcap/winpcap-nmap.nsi
	rm -rf nmap-$(NMAP_VERSION)
	rm -f nmap-$(NMAP_VERSION)-win32.zip
	mkdir nmap-$(NMAP_VERSION)
	cd Release && cp -r ../../CHANGELOG ../../COPYING nmap-mac-prefixes nmap-os-db nmap-payloads nmap-protocols nmap-rpc nmap-service-probes nmap-services nmap.exe nmap.xsl nse_main.lua ../nmap_performance.reg ../../README-WIN32 ../../docs/3rd-party-licenses.txt ../nmap-$(NMAP_VERSION)/
# Use "cmd /c copy" rather than "cp" to preserve Windows ACLs. Using
# "cp" means that the copied DLLs don't have the same ACL and cause an
# error on startup: 0xc0000022.
	cmd /c copy OpenSSL\\bin\\*.dll nmap-$(NMAP_VERSION)
	mkdir nmap-$(NMAP_VERSION)/scripts
	cd Release && cp -f $(NSE_FILES) ../nmap-$(NMAP_VERSION)/scripts/
	cd Release && for f in `find nselib -name .svn -prune -o -type d -print`; do \
		mkdir -p ../nmap-$(NMAP_VERSION)/$$f; \
	done
	cd Release && for f in `find nselib -name .svn -prune -o -type f -print`; do \
		cp -f $$f ../nmap-$(NMAP_VERSION)/$$f; \
	done
	cd Release && cp -r ../../docs/licenses ../nmap-$(NMAP_VERSION)/
	rm -rf nmap-$(NMAP_VERSION)/licenses/.svn
	cp winpcap/winpcap-nmap-*.exe nmap-$(NMAP_VERSION)
	cp vcredist_x86.exe nmap-$(NMAP_VERSION)
	cp vcredist2008_x86.exe nmap-$(NMAP_VERSION)
	cp ../ncat/Release/ncat.exe nmap-$(NMAP_VERSION)
	cp ../ncat/Release/ca-bundle.crt nmap-$(NMAP_VERSION)
	cp ../nping/Release/nping.exe nmap-$(NMAP_VERSION)
	cp ../nmap-update/Release/nmap-update.exe nmap-$(NMAP_VERSION)
# Install the ndiff batch file wrapper in the zip distribution.
	cp ../ndiff/ndiff nmap-$(NMAP_VERSION)/ndiff.py
	cp python-wrap.bat nmap-$(NMAP_VERSION)/ndiff.bat
	zip -r nmap-$(NMAP_VERSION)-win32.zip nmap-$(NMAP_VERSION)
# Remove ndiff.py and ndiff.bat for the installer because it has ndiff.exe.
	rm -f nmap-$(NMAP_VERSION)/ndiff.py nmap-$(NMAP_VERSION)/ndiff.bat
	cd ../zenmap && install_scripts/windows/copy_and_compile.bat
	cp -R ../zenmap/dist/* nmap-$(NMAP_VERSION)/
	cp ../zenmap/README nmap-$(NMAP_VERSION)/ZENMAP_README
	cp ../zenmap/COPYING_HIGWIDGETS nmap-$(NMAP_VERSION)
	cp ../ndiff/README nmap-$(NMAP_VERSION)/NDIFF_README
	cp nsis/AddToPath.nsh nsis/Nmap.nsi nsis/shortcuts.ini nsis/final.ini nmap-$(NMAP_VERSION)
	$(MAKENSIS) nmap-$(NMAP_VERSION)/Nmap.nsi
	mv nmap-$(NMAP_VERSION)/NmapInstaller.exe nmap-$(NMAP_VERSION)-setup.exe

clean:
	"$(VCEXPRESS)" nmap.sln /clean
	rm -rf Debug Release nmapbuild.log

## nmap 6.40

=== nsock/tests/Makefile ===
#
# nsock regression test suite
# Same license as nmap -- see http://nmap.org/book/man-legal.html
##

NBASEDIR=../../nbase
NSOCKLIB=../src/libnsock.a
NBASELIB=$(NBASEDIR)/libnbase.a

CC 	= gcc
CFLAGS	= -Wall -O0 -ggdb -I../include/ -I$(NBASEDIR)
LDFLAGS	= -lssl -lpcap -lcrypto

SRC = tests_main.c \
      basic.c \
      timer.c \
      logs.c \
      connect.c \
      ghlists.c

OBJ = $(SRC:.c=.o)

EXE = tests_main

all: $(SRC) $(EXE)

$(EXE): $(OBJ)
	$(CC) $(LDFLAGS) $(OBJ) -o $@ $(NSOCKLIB) $(NBASELIB)

.c.o:
	$(CC) -c $(CFLAGS) $< -o $@

clean:
	$(RM) $(OBJ) $(EXE)

rebuild: clean $(EXE)

.PHONY: clean rebuild
